#
# spec file for package python-numericalunits
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-numericalunits
Version:        1.22
Release:        2.26
Summary:        Python module for defining quantities with units
License:        MIT
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/numericalunits
Source:         https://files.pythonhosted.org/packages/py2.py3/n/numericalunits/numericalunits-%{version}-py2.py3-none-any.whl
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
Units and dimensional analysis compatible with everything

This package implements units and dimensional analysis in an unconventional 
way with unique advantages:

* Compatible with everything
* Zero storage overhead
* Zero calculation overhead

%prep
%setup -T -c -n numericalunits-%{version}

%build
# Not needed

%install
%python_expand pip%{$python_bin_suffix} install --root %{buildroot} %{SOURCE0}
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# todo

%files %{python_files}
%license %{python_sitelib}/numericalunits-%{version}.dist-info/LICENSE.txt
%{python_sitelib}/numericalunits-%{version}.dist-info/
%{python_sitelib}/numericalunits.py*
%pycache_only %{python_sitelib}/__pycache__/numericalunits.*

%changelog
* Sat Dec 22 2018 toddrme2178@gmail.com
- Update to 1.22
  * add horsepower_imperial and horsepower_metric
  * update all values to CODATA as of July 2018.
* Sun Jun 10 2018 jengelh@inai.de
- Use noun phrase in summary.
- Trim long description.
* Thu Jun  7 2018 toddrme2178@gmail.com
- Fix source URL
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 1.21
  * add easier-to-read unicode aliases for ohms (Ω, mΩ, kΩ, etc.)
    and a few more constants (μ0, ε0, σSB, αFS).
    (note that unicode identifiers only work in Python 3)
  * add rtHz, rpm, rpm·2π
- Spec file cleanups
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 1.17
  * See changelog at https://github.com/sbyrnes321/numericalunits/blob/8a6d263c80db726989eaf7b67a1661456746d6db/Changes.txt
* Tue Feb  4 2014 toddrme2178@gmail.com
- Initial version (1.13)
